# class Prism::InlineComment

`InlineComment` objects are the most common. They correspond to comments in the source file like this one that start with #.

### Public Instance Methods

inspect ()
Source

    # File lib/prism/parse_result.rb, line 537
    def inspect
      "#<Prism::InlineComment @location=#{location.inspect}>"
    end

Returns a string representation of this comment.

trailing? ()
Source

    # File lib/prism/parse_result.rb, line 532
    def trailing?
      !location.start_line_slice.strip.empty?
    end

Returns true if this comment happens on the same line as other code and false if the comment is by itself.